#!/bin/sh
#

EXT=net-snmp
TCZ=/tmp/$EXT/TCZ

sudo rm -rf /tmp/$EXT

DEPS="libtool-dev cmake readline-dev openssl-dev pcre-dev liblzma-dev
 perl5 libxml2-python glib2-python python-dev python-setuptools
 libpci-dev"

test "$KBITS" = "64" && DEPS="$DEPS mariadb-10.1-dev" || DEPS="$DEPS mariadb-dev"

NOTFOUND=""
for a in compiletc bash file squashfs-tools $DEPS
         do tce-load -i $a || tce-load -iwl $a || NOTFOUND=x
done
test -z "$NOTFOUND" || exit

echo $PATH | grep -q mysql || export PATH=$PATH:/usr/local/mysql/bin

#make clean
./configure \
	--prefix=/usr/local \
	--localstatedir=/var \
	--disable-embedded-perl \
	--with-mysql \
	--with-perl-modules \
	--with-python-modules \
	--with-openssl=/usr/local \
	--with-defaults \
	--without-rpm \
	--with-install-prefix=$TCZ \
	|| exit

sed -i -e "/PYMAKE) install/s#basedir#root=$TCZ --basedir#" Makefile

make || exit

make install DESTDIR=$TCZ
chmod -R ug+w $TCZ
for a in $(find $TCZ -type f); do file -b $a | grep -q '^ELF .*not stripped$' && strip --strip-unneeded $a; done

mkdir -p $TCZ-dev/usr/local/bin
mkdir -p $TCZ-dev/usr/local/lib
mkdir -p $TCZ-dev/usr/local/share

mv $TCZ/usr/local/include $TCZ-dev/usr/local
mv $TCZ/usr/local/lib/*.a $TCZ-dev/usr/local/lib
mv $TCZ/usr/local/lib/*.la $TCZ-dev/usr/local/lib
mv $TCZ/usr/local/share/man $TCZ-dev/usr/local/share
mv $TCZ/usr/local/bin/net-snmp-config $TCZ-dev/usr/local/bin/net-snmp-config

sudo chown -R root.root $TCZ*

mksquashfs $TCZ /tmp/$EXT/$EXT.tcz -noappend
mksquashfs $TCZ-dev /tmp/$EXT/$EXT-dev.tcz -noappend

